import { PromptTemplatePipelineJson } from '../types/PromptTemplatePipelineJson/PromptTemplatePipelineJson';
/**
 * Validates PromptTemplatePipelineJson if it is logically valid.
 *
 * It checks:
 * -   if it has correct parameters dependency
 *
 * It does NOT check:
 * -   if it is valid json
 * -   if it is meaningful
 *
 * @param ptp valid or invalid PromptTemplatePipelineJson
 * @throws {Error} if invalid
 */
export declare function validatePromptTemplatePipelineJson(ptp: PromptTemplatePipelineJson): void;
/**
 * TODO: [🧠] Work with ptpVersion
 * TODO: Use here some json-schema, Zod or something similar and change it to:
 *     > /**
 *     >  * Validates PromptTemplatePipelineJson if it is logically valid.
 *     >  *
 *     >  * It checks:
 *     >  * -   it has a valid structure
 *     >  * -   ...
 *     >  ex port function validatePromptTemplatePipelineJson(ptp: unknown): asserts ptp is PromptTemplatePipelineJson {
 */
